Bug 603306 - module-init-tools should ignore RCS as well as CVS directories
module-init-tools should ignore RCS as well as CVS directories
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 05:30 EDT by Jonathan Kamens
Modified: 2016-02-10 09:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:30:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to skip RCS directories in included directories (185 bytes, patch)
2010-06-12 05:30 EDT, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2010-06-12 05:30:09 EDT
Created attachment 423468 [details]
patch to skip RCS directories in included directories

Patch attached.
Comment 1 Bug Zapper 2010-07-30 08:06:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jonathan Kamens 2010-09-11 22:14:15 EDT
Puzzling that nothing has been done about this defect three months after I reported it, considering that (a) it is trivially obvious, (b) it is trivially easy to fix, (c) I've provided a patch, and (d) the patch is trivial and obviously correct.

Ping?
Comment 3 Jon Masters 2010-09-12 11:34:23 EDT
I'm sorry your patch hasn't been addressed yet, but as you say it is trivial. It's also not the case that I can just build and push without testing, etc. I have plans to push the latest module-init-tools to rawhide first but I need to fix the fact that compressed module support isn't working. So, I'm on it, just bear with me :)

Jon.
Comment 4 Fedora End Of Life 2012-08-16 17:56:08 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jonathan Kamens 2012-09-19 11:08:36 EDT
This is still broken, but I suppose it doesn't matter since module-init-tools has been replaced by kmod? Why is module-init-tools still in the distribution?
Comment 6 Jan Kurik 2015-12-22 06:30:29 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.